ssu-merge(1)

NAME
ssu-merge - merge SSU rRNA alignments created by parallel ssu-align jobs

SYNOPSIS

Merge results from parallel ssu-align jobs:

ssu-merge [options] output-dir-created-by-ssu-prep

Merge a list of alignments, all created with the same CM:

ssu-merge --list [options] list-file output-alignment

DESCRIPTION

ssu-merge merges results from parallel ssu-align jobs. The ssu-align jobs must have been executed by a shell script created by ssu-prep. Alternatively if --list is used, ssu-merge merges all alignments in list-file into a single alignment, outputs it as output-alignment and exits.

When --list is not used, ssu-merge first examines the directory output-dir-created-by-ssu-prep to make sure that (a) it was created by ssu-prep and (b) all of the parallel ssu-align jobs created by ssu-prep have successfully finished running. If both (a) and (b) are true, ssu-merge merges the output files from all of the jobs together, removing the individual job output files once it has successfully finished.

Users should rarely need to call ssu-merge directly. This is because it is called internally by the final ssu-align job in a set of parallel jobs created by ssu-prep to automatically merge the output of all the jobs once they are all complete. However, if the --no-merge option was specified to ssu-prep, or one of the jobs failed to finish successfully, it will be necessary for the user to directly execute ssu-merge.

For example, given the original ssu-prep command: ssu-prep -x my.fa foo 8

Followed by the execution of the resulting output shell script: sh foo.ssu-align.sh

The 8th and final job submitted by this shell script will wait for all jobs to finish and automatically merge the results of all the jobs by calling ssu-merge. However, if an error occurs preventing one or more of the jobs from successfully finishing, the final job will output an error message informing the user what jobs have failed and how to rerun them.

Once they have been rerun, the user will need to manually merge the output of all the jobs with the command: ssu-merge foo

If the --list option is used, ssu-merge expects two command-line arguments. The first ( list-file ) is the name of a file that lists all input alignment files to merge. The second ( output-alignment ) is the desired name for the merged output alignment. All input alignments must be in Stockholm format, include #=GC RF 'reference' annotation, and have the same number of nongap RF positions. In this mode, ssu-merge will simply merge all the input alignments in all the files into a single merged alignment, save it to output-alignment and exit.

OPTIONS

-h  Print brief help; includes version number and summary of all options.

-f  Allow output files that already exist to be overwritten. This option should only be needed if ssu-merge has already been executed on <output-dir-created-by-ssu-prep>.

--rfonly
    When merging alignments, discard insert columns and only include consensus columns in the alignment. The alignments will be a fixed, predicted width (the number of consensus positions for each model), but will not include all target nucleotides. Note that insert columns are automatically removed by the ssu-mask program which is recommended prior to inputting alignments into phylogenetic inference programs and using --rfonly can greatly reduce the size of the final merged alignments, especially for very deep alignments (hundreds of thousands of sequences). The --rfonly option can also be specified to ssu-prep, in which case it will be set by the internal merge performed by the resulting final ssu-align job.

OPTIONS FOR LIST MODE

-i  Input alignments are interleaved Stockholm format in which each sequence is split up across several lines, as opposed to so-called Pfam Stockholm format in which each sequence occurs on exactly one line. Alignments created by ssu-align are by default in Pfam Stockholm format, but will be interleaved Stockholm if the -i option was supplied to ssu-align. This option only works in combination with --list.

--dna
    Output the merged alignment as DNA, not as RNA. By default, the output alignment will be RNA, even if the input alignments were DNA. This option only works in combination with --list.

SEE ALSO
See ssu(1) for a master man page with a list of all the individual man pages for programs in the SSU-ALIGN package.

For complete documentation, see the user's guide that came with your SSU-ALIGN distribution (Userguide.pdf).

COPYRIGHT
Copyright (C) 2016 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.

AUTHOR
Eric Nawrocki
HHMI Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147 USA
http://eddylab.org/